Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008263TestLinkExport/Importpublic2018-05-14 21:432018-10-06 12:17
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version1.9.18 (2018 Q3) 
Summary0008263: TestCases Attachments are duplicated if internalid is not provided in XML file, even if External ID is selected as identifier
Descriptioninternalid is optionnal in XML schema for TestCase import.
If a testcase is updated though XML containing already known attachments but without internalid (using an external tool), attachments are duplicated
Steps To Reproduce1) Export a testcase with an attachment to XML file
2) Edit XML file and delete testcase internalid (to simulate the use of the external tool)
3) Import the edited XML file

=> attachment is duplicated
Additional InformationPR to follow
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
BrowserAny
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0027462)
Mr.Bricodage (updater)
2018-05-14 21:49

PR : https://github.com/TestLinkOpenSourceTRMS/testlink-code/pull/162 [^]
(0027466)
fman (administrator)
2018-05-15 18:02

done
Thanks a lot!!
(0027954)
fman (administrator)
2018-10-06 12:17

1.9.18 released

- Issue History
Date Modified Username Field Change
2018-05-14 21:43 Mr.Bricodage New Issue
2018-05-14 21:49 Mr.Bricodage Note Added: 0027462
2018-05-15 18:02 fman Note Added: 0027466
2018-05-15 18:03 fman QA Team - Task Workflow Status => READY FOR TESTING
2018-05-15 18:03 fman Status new => resolved
2018-05-15 18:03 fman Fixed in Version => 1.9.18 (2018 Q3)
2018-05-15 18:03 fman Resolution open => fixed
2018-05-15 18:03 fman Assigned To => fman
2018-10-06 12:17 fman Note Added: 0027954
2018-10-06 12:17 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker